%  slope2.m
% Matlab file for Part 2 of the Slope module

disp('********************************************')
disp('Part 2:  Slope Fields for Natural Growth')
disp('********************************************')
disp('  ')    

    format short
    
    disp('In order to draw the slope field for')
    disp('the new differential equation, ')
    disp('      dP/dt = 0.1*P')
    disp('you must change the dfun.m file.')
    disp('Do so now.')
    disp(' ')
    disp('When you are ready to continue, type')
    disp('the word return and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')    
    disp('Let''s draw the slope field for this D.E.')
    disp(' ')
    disp('Copy the following commands and paste them')
    disp('as a group at a MATLAB prompt, and execute.')
    disp(' ')
    disp('     close ')
    disp('     slpfield(0,20,0,1000) ')
    disp('     hold on')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('-------------------------------------------')
    disp('Replace the question marks below with your')
    disp('choices for three different initial values')
    disp('for the population (between 0 and 1000')
    disp(' ')
    disp('Then, copy the commands and paste them ')
    disp('each individually at a MATLAB prompt and')
    disp('enter each.')
    disp(' ')
    disp('     P01=??? ')
    disp('     P02=??? ')
    disp('     P03=??? ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('We add solution curves by solving the')
    disp('differential equation under the specified')
    disp('3 initial conditions and then plotting them')
    disp('on top of the direction field.')
    disp(' ')

    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  [t,P]=ode23(''dfun'',[0,20],P01); ')
    disp('  plot(t,P,''r'') ')
    disp('  [t,P]=ode23(''dfun'',[0,20],P02); ')
    disp('  plot(t,P,''b'') ')
    disp('  [t,P]=ode23(''dfun'',[0,20],P03); ')
    disp('  plot(t,P,''g'') ')
    disp('  axis([0,20,0,1000]); ')
    disp(' ')
    disp('Three solution curve satisfying initial')
    disp('conditions P(0)=P01, P(0)=P02, P(0)=P03')
    disp('should appear on top of the direction field.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('The analytic solution for the population')
    disp('corresponding to initial condition P(0)=P01')
    disp('is  P=P01*exp(0.1*t). ')
    disp(' ')
    disp('Let''s plot this curve on our vector field.')
    disp('The following commands define a vector of ')
    disp('equally spaced t values and the corrsponding')
    disp('vector of P values, then plots them.')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  clf')
    disp('  slpfield(0,20,0,1000) ')
    disp('  hold on')
    disp('  t=0:0.5:20; ')
    disp('  P=P01*exp(0.1*t); ')
    disp('  plot(t,P,''m'') ')
    disp('  axis([0,20,0,1000]); ')
    disp(' ')
    disp('A magenta solution curve satisfying initial')
    disp('condition P(0)=P01 should appear on top of')
    disp('the direction field.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('-------------------------------------------')
    disp('Now you add analytic solution curves')
    disp('corresponding to the other two initial')
    disp('conditions to the direction field.')
    disp(' ')
 
    disp('--------------------------------------------')
    disp('When your plots are done, to go on to part 3')
    disp('of this module, type: slope3')
    disp(' ')